Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner
Class FinderUtil

    java.lang.Object
      com.hp.hpl.jena.reasoner.FinderUtil

    public class FinderUtil

extends java.lang.Object

Some simple helper methods used when working with Finders, particularly to compose them into cascade sequences. The cascades are designed to cope with null Finders as well.

Version:
  $Revision: 1.11 $ on $Date: 2008/01/02 12:07:00 $
Author:
  Dave Reynolds

Constructor Summary
`FinderUtil()`

Method Summary
`static Finder` | `cascade(Finder first, Finder second)` Create a continuation object which is a cascade of two continuation objects.
`static Finder` | `cascade(Finder first, Finder second, Finder third)` Create a continuation object which is a cascade of three continuation objects.
`static Finder` | `cascade(Finder first, Finder second, Finder third, Finder fourth)` Create a continuation object which is a cascade of four continuation objects.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FinderUtil

    public FinderUtil()

Method Detail

### cascade

    public static Finder cascade(Finder first,
                                 Finder second)

  Create a continuation object which is a cascade of two continuation objects.

  Parameters:
    `first` - the first Graph/Finder to try
    `second` - the second Graph/Finder to try

### cascade

    public static Finder cascade(Finder first,
                                 Finder second,
                                 Finder third)

  Create a continuation object which is a cascade of three continuation objects.

  Parameters:
    `first` - the first Graph/Finder to try
    `second` - the second Graph/Finder to try
    `third` - the third Graph/Finder to try

### cascade

    public static Finder cascade(Finder first,
                                 Finder second,
                                 Finder third,
                                 Finder fourth)

  Create a continuation object which is a cascade of four continuation objects.

  Parameters:
    `first` - the first Graph/Finder to try
    `second` - the second Graph/Finder to try
    `third` - the third Graph/Finder to try
    `fourth` - the third Graph/Finder to try

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP